/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.dynamic.data.mapping.test.util.storage;

import com.liferay.dynamic.data.mapping.exception.StorageException;
import com.liferay.dynamic.data.mapping.storage.BaseStorageAdapter;
import com.liferay.dynamic.data.mapping.storage.DDMFormValues;
import com.liferay.portal.kernel.service.ServiceContext;

/**
 * @author Rafael Praxedes
 */
public class FailStorageAdapter extends BaseStorageAdapter {

	public static final String STORAGE_TYPE = "Fail";

	@Override
	public String getStorageType() {
		return STORAGE_TYPE;
	}

	@Override
	protected long doCreate(
			long companyId, long ddmStructureId, DDMFormValues ddmFormValues,
			ServiceContext serviceContext)
		throws Exception {

		throw new StorageException();
	}

	@Override
	protected void doDeleteByClass(long classPK) throws Exception {
		throw new StorageException();
	}

	@Override
	protected void doDeleteByDDMStructure(long ddmStructureId)
		throws Exception {

		throw new StorageException();
	}

	@Override
	protected DDMFormValues doGetDDMFormValues(long classPK) throws Exception {
		throw new StorageException();
	}

	@Override
	protected void doUpdate(
			long classPK, DDMFormValues ddmFormValues,
			ServiceContext serviceContext)
		throws Exception {

		throw new StorageException();
	}

}